Subject: Re: fork problem
From: "Luis P Caamano" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 6 Apr 2006 10:10:46 -0400

On 6 Apr 2006 03:44:22 -0000, [email-masked]
<[email-masked]> wrote:
>

> fork problem
>         120469 by: [email-masked] (J. David Boyd)

I started using cygserver and edited its config file to use 310 procs
instead of 62.  In /etc/cygserver.conf, I edited the following:

# kern.srv.process_cache_size: No. of concurrent processes which can be handled
#                              by Cygserver concurrently.
# Default: 62, Min: 1, Max: 310, command line option -p, --process-cache
kern.srv.process_cache_size 310

I also set the CYGWIN var like this:

$ echo $CYGWIN
server ntsec

I believe I set that variable in the Windows XP environment, that is,
System Properties dialog, Advance Tab, Environment Variables button. 
Let me check ... yes, I did.

I don't remember how to set up cygserver to start as a service but the
doc was very clear.  You, of course, need cygrunsrv to run cygserver.

Here's the output of ps -ef:

$ ps -ef
     UID     PID    PPID TTY     STIME COMMAND
  SYSTEM    1276       1   ?  00:54:28 /usr/bin/cygrunsrv
  SYSTEM    1380    1276   ?  00:54:29 /usr/sbin/cygserver
  SYSTEM     632       1   ?  00:54:38 /usr/bin/cygrunsrv
  SYSTEM    1820     632   ?  00:54:38 /usr/sbin/syslog-ng
  SYSTEM     180       1   ?  00:54:39 /usr/bin/cygrunsrv
  SYSTEM     340     180   ?  00:54:39 /usr/sbin/sshd
     lpc    3608       1 con  09:12:47 /usr/X11R6/bin/XWin
     lpc    1016       1 con  09:12:52 /usr/bin/xterm
     lpc    2308    1016   0  09:12:53 /usr/bin/bash
     lpc     516       1   ?  09:12:58 /usr/bin/ssh-agent
     lpc    2536    3608   ?  09:14:07 /usr/bin/xterm
     lpc    2580    2536   1  09:14:08 /usr/bin/ssh
     lpc    2064    3608   ?  09:55:23 /usr/bin/xterm
     lpc    3520    2064   2  09:55:23 /usr/bin/bash
     lpc    2692       1   ?  10:04:22 /usr/bin/gvim
     lpc     332    3520   2  10:07:49 /usr/bin/ps

Hope that helps,

--
Luis P Caamano
Atlanta, GA USA

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/